> ## Documentation Index
> Fetch the complete documentation index at: https://agno-v2-codex-docs-audit-20260719-0149.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Whatsapp Webhook

> Process incoming WhatsApp messages



## OpenAPI

````yaml /reference-api/openapi.yaml post /whatsapp/webhook
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.7.4
servers: []
security: []
paths:
  /whatsapp/webhook:
    post:
      tags:
        - Whatsapp
      summary: Whatsapp Webhook
      description: Process incoming WhatsApp messages
      operationId: whatsapp_webhook_simple_agent
      parameters:
        - name: X-Hub-Signature-256
          in: header
          required: true
          schema:
            type: string
          description: >-
            SHA-256 HMAC signature for the raw request body, prefixed with
            `sha256=`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
      responses:
        '200':
          description: Event processed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppWebhookResponse'
        '403':
          description: Invalid webhook signature
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '500':
          description: >-
            Signature validation is not configured, or the JSON body is
            malformed or is not an object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    WhatsAppWebhookResponse:
      properties:
        status:
          type: string
          title: Status
          description: Processing status
          default: ok
      type: object
      title: WhatsAppWebhookResponse
    ForbiddenResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
      type: object
      required:
        - detail
      title: ForbiddenResponse
      example:
        detail: Insufficient permissions
    InternalServerErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: Error code for categorization
      type: object
      required:
        - detail
      title: InternalServerErrorResponse
      example:
        detail: Internal server error
        error_code: INTERNAL_SERVER_ERROR

````